﻿/* CSS Document */

.fccols{
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -ms-flex-wrap: wrap;
      flex-wrap: wrap;
  -webkit-box-pack: center;
      -ms-flex-pack: center;
          justify-content: center;
}

.fccol{
  width: calc(33% - 2rem);
  margin: 1rem;
}

.fccontainer{
  -webkit-transform-style: preserve-3d;
          transform-style: preserve-3d;
	-webkit-perspective: 1000px;
	        perspective: 1000px;
}

.front,
.back{
  background-size: cover;
	background-position: center;
	-webkit-transition: -webkit-transform .7s cubic-bezier(0.4, 0.2, 0.2, 1);
	transition: -webkit-transform .7s cubic-bezier(0.4, 0.2, 0.2, 1);
	-o-transition: transform .7s cubic-bezier(0.4, 0.2, 0.2, 1);
	transition: transform .7s cubic-bezier(0.4, 0.2, 0.2, 1);
	transition: transform .7s cubic-bezier(0.4, 0.2, 0.2, 1), -webkit-transform .7s cubic-bezier(0.4, 0.2, 0.2, 1);
	-webkit-backface-visibility: hidden;
	        backface-visibility: hidden;
	text-align: center;
	min-height: 280px;
	height: auto;
	border-radius: 0px;
	color: #fff;
	font-size: 1.5rem;
}

.back{
  background: #cedce7;
  background: -webkit-linear-gradient(45deg,  #cedce7 0%,#596a72 100%);
  background: -o-linear-gradient(45deg,  #cedce7 0%,#596a72 100%);
  background: linear-gradient(45deg,  #cedce7 0%,#596a72 100%);
}

.front:after{
	position: absolute;
    top: 0;
    left: 0;
    z-index: 1;
    width: 100%;
    height: 100%;
    content: '';
    display: block;
    opacity: .6;
    background-color: #006ba0;
    -webkit-backface-visibility: hidden;
            backface-visibility: hidden;
    border-radius: 0px;
}
.fccontainer:hover .front,
.fccontainer:hover .back{
    -webkit-transition: -webkit-transform .7s cubic-bezier(0.4, 0.2, 0.2, 1);
    transition: -webkit-transform .7s cubic-bezier(0.4, 0.2, 0.2, 1);
    -o-transition: transform .7s cubic-bezier(0.4, 0.2, 0.2, 1);
    transition: transform .7s cubic-bezier(0.4, 0.2, 0.2, 1);
    transition: transform .7s cubic-bezier(0.4, 0.2, 0.2, 1), -webkit-transform .7s cubic-bezier(0.4, 0.2, 0.2, 1);
}

.back{
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
}

.inner{
    -webkit-transform: translateY(-50%) translateZ(60px) scale(0.94);
            transform: translateY(-50%) translateZ(60px) scale(0.94);
    top: 50%;
    position: absolute;
    left: 0;
    width: 100%;
    padding: 2rem;
    -webkit-box-sizing: border-box;
            box-sizing: border-box;
    outline: 1px solid transparent;
    -webkit-perspective: inherit;
            perspective: inherit;
    z-index: 2;
}
.back .inner{
	height:99%;
}

.fccontainer .back{
    -webkit-transform: rotateY(180deg);
            transform: rotateY(180deg);
    -webkit-transform-style: preserve-3d;
            transform-style: preserve-3d;
	background:#2e9f44;
}

.fccontainer .front{
    -webkit-transform: rotateY(0deg);
            transform: rotateY(0deg);
    -webkit-transform-style: preserve-3d;
            transform-style: preserve-3d;
    background: #569bbc;
}

.fccontainer:hover .back{
  -webkit-transform: rotateY(0deg);
          transform: rotateY(0deg);
  -webkit-transform-style: preserve-3d;
          transform-style: preserve-3d;
}

.fccontainer:hover .front{
  -webkit-transform: rotateY(-180deg);
          transform: rotateY(-180deg);
  -webkit-transform-style: preserve-3d;
          transform-style: preserve-3d;
}
	
.front .inner p {
    font-size: 40px !important;
    color: #fff !important;
    padding: 15px 70px;
    margin-bottom: 2rem;
    position: relative;
}
.back .inner p {
    font-size: 28px !important;
    padding: 0 60px;
    color: #fff !important;
    line-height: 40px;
}
.front .inner span{
  color: rgba(255,255,255,0.7);
  font-weight: 300;
}
.back p.services-link{
    position: absolute;
    width: 100%;
    bottom: 0;
    margin: 0;
    padding: 0;
    margin-left: -2rem;
    margin-bottom: -1px;
}
.back a {
    position: relative;
    max-width: 196px;
	width:100%;
	display:inline-block;
}
@media (max-width:1450px){
	.front .inner p{
		padding:0 !important;
	}
}
@media (max-width:1000px){
	.front .inner p {
		font-size: 28px !important;
		line-height:30px !important;
	}
	.back .inner p {
		font-size: 24px !important;
		line-height:28px !important;
	}
}
@media (max-width: 840px){
  .fccol{
    width: calc(33.333333%);
  }
}
 
@media (max-width: 740px){
  .fccol{
    width: 50%; 
  }
}

@media (max-width: 520px){
  .fccol{
    width: 100%;
    margin: 0 0 2rem 0;
  }
}